Package com.microblink.blinkid.entities.recognizers.blinkid.idbarcode

# Enum Class IdBarcodeDocumentType

java.lang.Object
java.lang.Enum<IdBarcodeDocumentType>
com.microblink.blinkid.entities.recognizers.blinkid.idbarcode.IdBarcodeDocumentType

All Implemented Interfaces:
  `Serializable`, `Comparable<IdBarcodeDocumentType>`, `Constable`

public enum IdBarcodeDocumentType extends Enum<IdBarcodeDocumentType>
Represents the type of scanned document

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AAMVACompliant`
  AAMVACompliant document was scanned
  `ArgentinaAlienID`
  ArgentinaAlienID document was scanned
  `ArgentinaDL`
  ArgentinaDL document was scanned
  `ArgentinaID`
  ArgentinaID document was scanned
  `ColombiaDL`
  ColombiaDL document was scanned
  `ColombiaID`
  ColombiaID document was scanned
  `NigeriaDL`
  NigeriaDL document was scanned
  `NigeriaVoterID`
  NigeriaVoterID document was scanned
  `None`
  No document was scanned
  `PanamaID`
  PanamaID document was scanned
  `ParaguayID`
  ParaguayID document was scanned
  `SouthAfricaID`
  SouthAfricaID document was scanned

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static IdBarcodeDocumentType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static IdBarcodeDocumentType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### None

    public static final IdBarcodeDocumentType None
    No document was scanned

  - ### AAMVACompliant

    public static final IdBarcodeDocumentType AAMVACompliant
    AAMVACompliant document was scanned

  - ### ArgentinaID

    public static final IdBarcodeDocumentType ArgentinaID
    ArgentinaID document was scanned

  - ### ArgentinaAlienID

    public static final IdBarcodeDocumentType ArgentinaAlienID
    ArgentinaAlienID document was scanned

  - ### ArgentinaDL

    public static final IdBarcodeDocumentType ArgentinaDL
    ArgentinaDL document was scanned

  - ### ColombiaID

    public static final IdBarcodeDocumentType ColombiaID
    ColombiaID document was scanned

  - ### ColombiaDL

    public static final IdBarcodeDocumentType ColombiaDL
    ColombiaDL document was scanned

  - ### NigeriaVoterID

    public static final IdBarcodeDocumentType NigeriaVoterID
    NigeriaVoterID document was scanned

  - ### NigeriaDL

    public static final IdBarcodeDocumentType NigeriaDL
    NigeriaDL document was scanned

  - ### PanamaID

    public static final IdBarcodeDocumentType PanamaID
    PanamaID document was scanned

  - ### SouthAfricaID

    public static final IdBarcodeDocumentType SouthAfricaID
    SouthAfricaID document was scanned

  - ### ParaguayID

    public static final IdBarcodeDocumentType ParaguayID
    ParaguayID document was scanned

- ## Method Details

  - ### values

    public static IdBarcodeDocumentType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static IdBarcodeDocumentType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null